----------------------------------------------------------------------------------
-- Adapted from Scepheo's code "Demolition Derby AI Lua Script" v1.5.0 by Torsion
----------------------------------------------------------------------------------

local M = {}

-- AI aggression setting
local aiAggression = 1

-- Number of opponents
local opponentCount = 3

local opponent = {}

local function onRaceStart()
    
	for i = 1, opponentCount do
		opponent[i] = scenetree.findObject('opponent' .. i)
		opponent[i]:queueLuaCommand('ai.setState({mode="chase"})')
		opponent[i]:queueLuaCommand('ai.setAggression(' .. aiAggression .. ')')
		opponent[i]:queueLuaCommand('ai.setTargetVehicleID(' .. scenetree.findObject("scenario_player0"):getID() .. ')')
	end
end

M.onRaceStart = onRaceStart

return M